[arch-commits] Commit in haskell-ghcide/repos/community-staging-x86_64 (2 files)

Felix Yan felixonmars at gemini.archlinux.org
Fri Aug 19 13:26:10 UTC 2022


    Date: Friday, August 19, 2022 @ 13:26:10
  Author: felixonmars
Revision: 1270087

archrelease: copy trunk to community-staging-x86_64

Added:
  haskell-ghcide/repos/community-staging-x86_64/PKGBUILD
    (from rev 1270086, haskell-ghcide/trunk/PKGBUILD)
Deleted:
  haskell-ghcide/repos/community-staging-x86_64/PKGBUILD

----------+
 PKGBUILD |  162 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 81 insertions(+), 81 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2022-08-19 13:25:56 UTC (rev 1270086)
+++ PKGBUILD	2022-08-19 13:26:10 UTC (rev 1270087)
@@ -1,81 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-_hkgname=ghcide
-pkgname=haskell-ghcide
-pkgver=1.4.2.3
-pkgrel=19
-pkgdesc="The core of an IDE"
-url="https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme"
-license=("Apache")
-arch=('x86_64')
-depends=('ghc-libs' 'haskell-diff' 'haskell-glob' 'haskell-aeson' 'haskell-aeson-pretty'
-         'haskell-async' 'haskell-base16-bytestring' 'haskell-bytestring-encoding'
-         'haskell-case-insensitive' 'haskell-cryptohash-sha1' 'haskell-data-default'
-         'haskell-dependent-map' 'haskell-dependent-sum' 'haskell-dlist' 'haskell-extra'
-         'haskell-fingertree' 'haskell-fuzzy' 'haskell-ghc' 'haskell-ghc-api-compat'
-         'haskell-ghc-check' 'haskell-ghc-exactprint' 'haskell-ghc-paths' 'haskell-ghc-trace-events'
-         'haskell-gitrev' 'haskell-haddock-library' 'haskell-hashable' 'haskell-heapsize'
-         'haskell-hie-bios' 'haskell-hie-compat' 'haskell-hiedb' 'haskell-hls-graph'
-         'haskell-hls-plugin-api' 'haskell-hslogger' 'haskell-implicit-hie-cradle' 'haskell-lens'
-         'haskell-lsp' 'haskell-lsp-test' 'haskell-lsp-types' 'haskell-monoid-subclasses'
-         'haskell-network-uri' 'haskell-opentelemetry' 'haskell-optparse-applicative'
-         'haskell-parallel' 'haskell-prettyprinter' 'haskell-prettyprinter-ansi-terminal'
-         'haskell-regex-tdfa' 'haskell-retrie' 'haskell-rope-utf16-splay' 'haskell-safe'
-         'haskell-safe-exceptions' 'haskell-sorted-list' 'haskell-sqlite-simple' 'haskell-syb'
-         'haskell-unliftio' 'haskell-unliftio-core' 'haskell-unordered-containers'
-         'haskell-utf8-string' 'haskell-vector' 'haskell-vector-algorithms')
-makedepends=('ghc' 'uusi' 'haskell-quickcheck' 'haskell-ghc-typelits-knownnat'
-             'haskell-implicit-hie' 'haskell-quickcheck-instances' 'haskell-record-dot-preprocessor'
-             'haskell-record-hasfield' 'haskell-tasty' 'haskell-tasty-expected-failure'
-             'haskell-tasty-hunit' 'haskell-tasty-quickcheck' 'haskell-tasty-rerun')
-checkdepends=('cabal-install')
-source=("https://hackage.haskell.org/packages/archive/$_hkgname/$pkgver/$_hkgname-$pkgver.tar.gz")
-sha512sums=('f57bd36ef6df459271f182f68904c9b0f67e70333d9f6bf6bc29cd5cf430265083a2f53087072c420a678872a6844d6f5679b36906067104f158bfa100484fe2')
-
-prepare() {
-  cd $_hkgname-$pkgver
-  gen-setup
-  find test/data -name \*.cabal -exec uusi --add-options-all=-dynamic {} \;
-
-  uusi -u extra -r ghc:ghc,ghc-api-compat -u hiedb $_hkgname.cabal
-
-  # extra 1.7.10
-  sed -i "s/hiding (modifyVar, modifyVar_)/hiding (modifyVar, modifyVar_, modifyVar')/" src/Control/Concurrent/Strict.hs
-
-  # TODO: Skipped some broken tests for now
-  sed -i '/, benchmarkTests/d;/, findDefinitionAndHoverTests/d;/, bootTests/d;s/, simpleMultiDefTest//;s/echo A.hs/echo -dynamic > $HIE_BIOS_OUTPUT/' test/exe/Main.hs
-}
-
-build() {
-  cd $_hkgname-$pkgver
-
-  runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
-    --prefix=/usr --docdir=/usr/share/doc/$pkgname --datasubdir=$pkgname --enable-tests \
-    --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid --ghc-option=-fllvm \
-    --ghc-option=-optl-Wl\,-z\,relro\,-z\,now \
-    --ghc-option='-pie'
-
-  runhaskell Setup build $MAKEFLAGS
-  runhaskell Setup register --gen-script
-  runhaskell Setup unregister --gen-script
-  sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
-  sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
-}
-
-check() {
-  cd $_hkgname-$pkgver
-  cabal update
-  # Random test failures "Received an illegal message between the initialize request and response"
-  # th-linking-test-unboxed always fails too
-  PATH="$PWD/dist/build/ghcide:$PWD/dist/build/ghcide-test-preprocessor:$PATH" LD_LIBRARY_PATH="$PWD/dist/build" runhaskell Setup test || echo "Tests failed"
-}
-
-package() {
-  cd $_hkgname-$pkgver
-
-  install -D -m744 register.sh "$pkgdir"/usr/share/haskell/register/$pkgname.sh
-  install -D -m744 unregister.sh "$pkgdir"/usr/share/haskell/unregister/$pkgname.sh
-  runhaskell Setup copy --destdir="$pkgdir"
-  install -D -m644 LICENSE -t "$pkgdir"/usr/share/licenses/$pkgname/
-  rm -f "$pkgdir"/usr/share/doc/$pkgname/LICENSE
-}

Copied: haskell-ghcide/repos/community-staging-x86_64/PKGBUILD (from rev 1270086, haskell-ghcide/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2022-08-19 13:26:10 UTC (rev 1270087)
@@ -0,0 +1,81 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+_hkgname=ghcide
+pkgname=haskell-ghcide
+pkgver=1.4.2.3
+pkgrel=20
+pkgdesc="The core of an IDE"
+url="https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme"
+license=("Apache")
+arch=('x86_64')
+depends=('ghc-libs' 'haskell-diff' 'haskell-glob' 'haskell-aeson' 'haskell-aeson-pretty'
+         'haskell-async' 'haskell-base16-bytestring' 'haskell-bytestring-encoding'
+         'haskell-case-insensitive' 'haskell-cryptohash-sha1' 'haskell-data-default'
+         'haskell-dependent-map' 'haskell-dependent-sum' 'haskell-dlist' 'haskell-extra'
+         'haskell-fingertree' 'haskell-fuzzy' 'haskell-ghc' 'haskell-ghc-api-compat'
+         'haskell-ghc-check' 'haskell-ghc-exactprint' 'haskell-ghc-paths' 'haskell-ghc-trace-events'
+         'haskell-gitrev' 'haskell-haddock-library' 'haskell-hashable' 'haskell-heapsize'
+         'haskell-hie-bios' 'haskell-hie-compat' 'haskell-hiedb' 'haskell-hls-graph'
+         'haskell-hls-plugin-api' 'haskell-hslogger' 'haskell-implicit-hie-cradle' 'haskell-lens'
+         'haskell-lsp' 'haskell-lsp-test' 'haskell-lsp-types' 'haskell-monoid-subclasses'
+         'haskell-network-uri' 'haskell-opentelemetry' 'haskell-optparse-applicative'
+         'haskell-parallel' 'haskell-prettyprinter' 'haskell-prettyprinter-ansi-terminal'
+         'haskell-regex-tdfa' 'haskell-retrie' 'haskell-rope-utf16-splay' 'haskell-safe'
+         'haskell-safe-exceptions' 'haskell-sorted-list' 'haskell-sqlite-simple' 'haskell-syb'
+         'haskell-unliftio' 'haskell-unliftio-core' 'haskell-unordered-containers'
+         'haskell-utf8-string' 'haskell-vector' 'haskell-vector-algorithms')
+makedepends=('ghc' 'uusi' 'haskell-quickcheck' 'haskell-ghc-typelits-knownnat'
+             'haskell-implicit-hie' 'haskell-quickcheck-instances' 'haskell-record-dot-preprocessor'
+             'haskell-record-hasfield' 'haskell-tasty' 'haskell-tasty-expected-failure'
+             'haskell-tasty-hunit' 'haskell-tasty-quickcheck' 'haskell-tasty-rerun')
+checkdepends=('cabal-install')
+source=("https://hackage.haskell.org/packages/archive/$_hkgname/$pkgver/$_hkgname-$pkgver.tar.gz")
+sha512sums=('f57bd36ef6df459271f182f68904c9b0f67e70333d9f6bf6bc29cd5cf430265083a2f53087072c420a678872a6844d6f5679b36906067104f158bfa100484fe2')
+
+prepare() {
+  cd $_hkgname-$pkgver
+  gen-setup
+  find test/data -name \*.cabal -exec uusi --add-options-all=-dynamic {} \;
+
+  uusi -u extra -r ghc:ghc,ghc-api-compat -u hiedb $_hkgname.cabal
+
+  # extra 1.7.10
+  sed -i "s/hiding (modifyVar, modifyVar_)/hiding (modifyVar, modifyVar_, modifyVar')/" src/Control/Concurrent/Strict.hs
+
+  # TODO: Skipped some broken tests for now
+  sed -i '/, benchmarkTests/d;/, findDefinitionAndHoverTests/d;/, bootTests/d;s/, simpleMultiDefTest//;s/echo A.hs/echo -dynamic > $HIE_BIOS_OUTPUT/' test/exe/Main.hs
+}
+
+build() {
+  cd $_hkgname-$pkgver
+
+  runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
+    --prefix=/usr --docdir=/usr/share/doc/$pkgname --datasubdir=$pkgname --enable-tests \
+    --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid --ghc-option=-fllvm \
+    --ghc-option=-optl-Wl\,-z\,relro\,-z\,now \
+    --ghc-option='-pie'
+
+  runhaskell Setup build $MAKEFLAGS
+  runhaskell Setup register --gen-script
+  runhaskell Setup unregister --gen-script
+  sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
+  sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+check() {
+  cd $_hkgname-$pkgver
+  cabal update
+  # Random test failures "Received an illegal message between the initialize request and response"
+  # th-linking-test-unboxed always fails too
+  PATH="$PWD/dist/build/ghcide:$PWD/dist/build/ghcide-test-preprocessor:$PATH" LD_LIBRARY_PATH="$PWD/dist/build" runhaskell Setup test || echo "Tests failed"
+}
+
+package() {
+  cd $_hkgname-$pkgver
+
+  install -D -m744 register.sh "$pkgdir"/usr/share/haskell/register/$pkgname.sh
+  install -D -m744 unregister.sh "$pkgdir"/usr/share/haskell/unregister/$pkgname.sh
+  runhaskell Setup copy --destdir="$pkgdir"
+  install -D -m644 LICENSE -t "$pkgdir"/usr/share/licenses/$pkgname/
+  rm -f "$pkgdir"/usr/share/doc/$pkgname/LICENSE
+}



More information about the arch-commits mailing list